Index: Sources/frontend/src/app/student-course/student-course.component.css
===================================================================
--- Sources/frontend/src/app/student-course/student-course.component.css	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/student-course/student-course.component.css	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,36 @@
+.card {
+  display: flex;
+  background-color: #3A98B9;
+  width: 200px;
+  height: 200px;
+  margin: 10px;
+  padding: 5px;
+  align-items: center;
+  justify-content: center;
+  border-radius: 10px;
+  color: #FFF1DC;
+  font-weight: normal;
+  font-size: large;
+}
+
+.container {
+  display: flex;
+  flex-wrap: wrap;
+}
+
+.parent-container {
+  display: flex;
+  flex-direction: column;
+  justify-content: center;
+  margin-left: 200px;
+  margin-right: 200px;
+}
+
+a {
+  text-decoration: none;
+  color: #FFF1DC;
+}
+
+.card:hover {
+  box-shadow: 0 0 2px 2px #E1DDDD;
+}
Index: Sources/frontend/src/app/student-course/student-course.component.html
===================================================================
--- Sources/frontend/src/app/student-course/student-course.component.html	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/student-course/student-course.component.html	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,20 @@
+<div class="parent-container">
+  <h1>Мои курсеви</h1>
+  <div class="container" *ngIf="this.activeUser?.userType=='STUDENT'">
+    <a class="card" *ngFor="let s of studentCourses"
+       routerLink="/details/{{s?.course?.id}}">
+      Курс: {{s?.course?.name}}
+    </a>
+  </div>
+  <div class="container" *ngIf="this.activeUser?.userType=='PROFESSOR'">
+    <div class="card" *ngFor="let s of professorCourses">
+      <a
+         (click)="saveCourseAsCurrent(s?.course?.id)"
+         routerLink="/details/{{s?.course?.id}}">
+        Курс:
+        <br>
+        {{s?.course?.name}}
+      </a>
+    </div>
+  </div>
+</div>
Index: Sources/frontend/src/app/student-course/student-course.component.spec.ts
===================================================================
--- Sources/frontend/src/app/student-course/student-course.component.spec.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/student-course/student-course.component.spec.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,23 @@
+import { ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { StudentCourseComponent } from './student-course.component';
+
+describe('StudentCourseComponent', () => {
+  let component: StudentCourseComponent;
+  let fixture: ComponentFixture<StudentCourseComponent>;
+
+  beforeEach(async () => {
+    await TestBed.configureTestingModule({
+      declarations: [ StudentCourseComponent ]
+    })
+    .compileComponents();
+
+    fixture = TestBed.createComponent(StudentCourseComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
Index: Sources/frontend/src/app/student-course/student-course.component.ts
===================================================================
--- Sources/frontend/src/app/student-course/student-course.component.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
+++ Sources/frontend/src/app/student-course/student-course.component.ts	(revision 84234294abb1e8ce0876e888a7bec532eaeb6a14)
@@ -0,0 +1,45 @@
+import {Component, OnInit} from '@angular/core';
+import {StudentCourseService} from "../student-course.service";
+import {StudentCourseInterface} from "../StudentCourseInterface";
+import {LoginService} from "../login.service";
+import {ProfessorCourseInterface} from "../ProfessorCourseInterface";
+import {ActiveUserInterface} from "../ActiveUserInterface";
+import {Router} from "@angular/router";
+
+@Component({
+  selector: 'app-student-course',
+  templateUrl: './student-course.component.html',
+  styleUrls: ['./student-course.component.css']
+})
+export class StudentCourseComponent implements OnInit {
+
+  studentCourses: StudentCourseInterface[] = []
+  professorCourses: ProfessorCourseInterface[] = []
+  activeUser: ActiveUserInterface | undefined;
+
+  constructor(private service: StudentCourseService,
+              private loginService: LoginService,
+              private router: Router) {
+  }
+
+  ngOnInit(): void {
+    this.activeUser = this.loginService.activeUser!!;
+    if (!this.activeUser) {
+      this.router.navigate(['/'])
+    }
+    // console.log("username", this.activeUser.username)
+    if (this.loginService.activeUser!!.userType == 'STUDENT')
+      this.service.getAllCoursesForActiveUserStudent(this.activeUser.username)
+        .subscribe(studentCourses => this.studentCourses = studentCourses);
+    if (this.activeUser.userType == 'PROFESSOR')
+      this.service.getAllCoursesForActiveUserProfessor(this.activeUser.username)
+        .subscribe(professorCourses => this.professorCourses = professorCourses);
+  }
+
+  saveCourseAsCurrent(id: number): void {
+    console.log("course id", id)
+    this.loginService.setCurrentCourse(id);
+  }
+
+
+}
